NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::PostAnnotation Class Reference

Controls appearance of a annoation object in a postview. More...

Inheritance diagram for NXOpen::CAE::PostAnnotation:
NXOpen::TransientObject

Public Types

enum  Style { StyleBox, StyleBoxWithLeader }
 Annotation styles. More...
 
enum  TextAlignment { TextAlignmentLeft, TextAlignmentRight, TextAlignmentCenter }
 Annotation text alignment. More...
 
enum  ValueType { ValueTypeNone, ValueTypeResultAndEntity, ValueTypeResult, ValueTypeEntity }
 Annotation value type. More...
 

Public Member Functions

NXOpen::NXColorBoxColor ()
 Returns the box color
Created in NX8.5.0. More...
 
bool BoxFill ()
 Returns the box filling
Created in NX8.5.0. More...
 
NXOpen::CAE::PostAnnotation::TextAlignment BoxTextAlignment ()
 Returns the text alignment
Created in NX8.5.0. More...
 
bool BoxTranluceny ()
 Returns the box tranluceny
More...
 
bool BoxTranslucency ()
 Returns the box translucency
Created in NX12.0.0. More...
 
void Delete ()
 Deletes the annotation. More...
 
NXOpen::CAE::PostAnnotation::Style DisplayStyle ()
 Returns the annotation style
Created in NX8.5.0. More...
 
NXOpen::CAE::PostAnnotation::ValueType DisplayValueType ()
 Returns the annotation value type
Created in NX8.5.0. More...
 
void Draw ()
 Draw annotation object on graphics screen. More...
 
bool DrawBox ()
 Returns the box drawing
Created in NX8.5.0. More...
 
void GetUserText (std::vector< NXString > &usertext)
 Ask the user text in each box
Created in NX8.5.0. More...
 
NXString Name ()
 Returns the annotation name
Created in NX8.5.0. More...
 
void SetBoxColor (NXOpen::NXColor *boxColor)
 Sets the box color
Created in NX8.5.0. More...
 
void SetBoxFill (bool boxFill)
 Sets the box filling
Created in NX8.5.0. More...
 
void SetBoxTextAlignment (NXOpen::CAE::PostAnnotation::TextAlignment boxTextAlignment)
 Sets the text alignment
Created in NX8.5.0. More...
 
void SetBoxTranluceny (bool boxTranluceny)
 Sets the box tranluceny
More...
 
void SetBoxTranslucency (bool boxTranslucency)
 Sets the box translucency
Created in NX12.0.0. More...
 
void SetDisplayStyle (NXOpen::CAE::PostAnnotation::Style style)
 Sets the annotation style
Created in NX8.5.0. More...
 
void SetDisplayValueType (NXOpen::CAE::PostAnnotation::ValueType valueType)
 Sets the annotation value type
Created in NX8.5.0. More...
 
void SetDrawBox (bool drawBox)
 Sets the box drawing
Created in NX8.5.0. More...
 
void SetName (const NXString &name)
 Sets the annotation name
Created in NX8.5.0. More...
 
void SetName (const char *name)
 Sets the annotation name
Created in NX8.5.0. More...
 
void SetTextColor (NXOpen::NXColor *textColor)
 Sets the text color
Created in NX8.5.0. More...
 
void SetUserText (const std::vector< NXString > &usertext)
 Put the user text in each box
Created in NX8.5.0. More...
 
void Show (bool show)
 Show/Hide annotation object on graphics screen. More...
 
NXOpen::NXColorTextColor ()
 Returns the text color
Created in NX8.5.0. More...
 
virtual ~PostAnnotation ()
 Frees the object from memory. More...
 
- Public Member Functions inherited from NXOpen::TransientObject
void * GetHandle ()
 Handle of the internal object represented by this object. More...
 

Detailed Description

Controls appearance of a annoation object in a postview.

User must call CAE::PostAnnotation::Draw to make changes visible.


To obtain an instance of this class use CAE::Post

Created in NX8.5.0.

Member Enumeration Documentation

Annotation styles.

Enumerator
StyleBox 

box

StyleBoxWithLeader 

box with leader

Annotation text alignment.

Enumerator
TextAlignmentLeft 

left

TextAlignmentRight 

right

TextAlignmentCenter 

center

Annotation value type.

Enumerator
ValueTypeNone 

none

ValueTypeResultAndEntity 

result and entity

ValueTypeResult 

result

ValueTypeEntity 

entity

Constructor & Destructor Documentation

virtual NXOpen::CAE::PostAnnotation::~PostAnnotation ( )
virtual

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.
Created in NX8.5.0.

License requirements : None

Member Function Documentation

NXOpen::NXColor* NXOpen::CAE::PostAnnotation::BoxColor ( )

Returns the box color
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

bool NXOpen::CAE::PostAnnotation::BoxFill ( )

Returns the box filling
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

NXOpen::CAE::PostAnnotation::TextAlignment NXOpen::CAE::PostAnnotation::BoxTextAlignment ( )

Returns the text alignment
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

bool NXOpen::CAE::PostAnnotation::BoxTranluceny ( )

Returns the box tranluceny

Deprecated:
Deprecated in NX12.0.0.

Use NXOpen::CAE::PostAnnotation::BoxTranslucency instead.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

bool NXOpen::CAE::PostAnnotation::BoxTranslucency ( )

Returns the box translucency
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

void NXOpen::CAE::PostAnnotation::Delete ( )

Deletes the annotation.


Created in NX10.0.0.

License requirements : None

NXOpen::CAE::PostAnnotation::Style NXOpen::CAE::PostAnnotation::DisplayStyle ( )

Returns the annotation style
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

NXOpen::CAE::PostAnnotation::ValueType NXOpen::CAE::PostAnnotation::DisplayValueType ( )

Returns the annotation value type
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

void NXOpen::CAE::PostAnnotation::Draw ( )

Draw annotation object on graphics screen.

If NX is in batch mode, nothing happens. After setting paramters user has to call draw to reflect changes.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

bool NXOpen::CAE::PostAnnotation::DrawBox ( )

Returns the box drawing
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

void NXOpen::CAE::PostAnnotation::GetUserText ( std::vector< NXString > &  usertext)

Ask the user text in each box
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
usertextusertext
NXString NXOpen::CAE::PostAnnotation::Name ( )

Returns the annotation name
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

void NXOpen::CAE::PostAnnotation::SetBoxColor ( NXOpen::NXColor boxColor)

Sets the box color
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
boxColorbox color
void NXOpen::CAE::PostAnnotation::SetBoxFill ( bool  boxFill)

Sets the box filling
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
boxFillbox fill
void NXOpen::CAE::PostAnnotation::SetBoxTextAlignment ( NXOpen::CAE::PostAnnotation::TextAlignment  boxTextAlignment)

Sets the text alignment
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
boxTextAlignmentbox text alignment
void NXOpen::CAE::PostAnnotation::SetBoxTranluceny ( bool  boxTranluceny)

Sets the box tranluceny

Deprecated:
Deprecated in NX12.0.0.

Use NXOpen::CAE::PostAnnotation::SetBoxTranslucency instead.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
boxTranlucenybox tranluceny
void NXOpen::CAE::PostAnnotation::SetBoxTranslucency ( bool  boxTranslucency)

Sets the box translucency
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
boxTranslucencybox translucency
void NXOpen::CAE::PostAnnotation::SetDisplayStyle ( NXOpen::CAE::PostAnnotation::Style  style)

Sets the annotation style
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
stylestyle
void NXOpen::CAE::PostAnnotation::SetDisplayValueType ( NXOpen::CAE::PostAnnotation::ValueType  valueType)

Sets the annotation value type
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
valueTypevalue type
void NXOpen::CAE::PostAnnotation::SetDrawBox ( bool  drawBox)

Sets the box drawing
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
drawBoxdraw box
void NXOpen::CAE::PostAnnotation::SetName ( const NXString name)

Sets the annotation name
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
namename
void NXOpen::CAE::PostAnnotation::SetName ( const char *  name)

Sets the annotation name
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
namename
void NXOpen::CAE::PostAnnotation::SetTextColor ( NXOpen::NXColor textColor)

Sets the text color
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
textColortext color
void NXOpen::CAE::PostAnnotation::SetUserText ( const std::vector< NXString > &  usertext)

Put the user text in each box
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
usertextusertext
void NXOpen::CAE::PostAnnotation::Show ( bool  show)

Show/Hide annotation object on graphics screen.

If NX is in batch mode, nothing happens
Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
showtrue will show annotation, false will hide
NXOpen::NXColor* NXOpen::CAE::PostAnnotation::TextColor ( )

Returns the text color
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.